﻿:root {
    --bio-max-height: 250px;
}

body {
    overflow-x: hidden;
}

.text-white {
    color: #fff;
}

.mw-100 {
    min-width: 100%;
    max-width: 100%;
}

.pv-0 {
    padding-top: 0;
    padding-bottom: 0;
}

.mv-0 {
    margin-top: 0;
    margin-bottom: 0;
}

.mt-5-xs {
    margin-top: calc(1rem * 3);
}

.btn-icon {
    position: relative;
    padding-left: 40px;
}

.btn-icon .fa {
    position: absolute;
    top: 0px;
    left: 0px;
    bottom: 0px;
    width: 30px;
    border-radius: 0px;
    background: #fff;
    color: #000;
    line-height: 225%;
    opacity: 0.7;
}

.ribbon {
    right: 15px;
}

.part-details-line {
    padding: 2.5px 0;
}

.part-details-line:nth-of-type(2n+2) {
    background-color: #0000000d;
}

.parts-contact-buttons a {
    color: #fff;
}

.parts-contact-buttons .primary-phonetype {
    color: #333;
    width: 100%;
}

    .parts-contact-buttons a.active {
        margin-top: 5px;
        border: 1px solid #b0b0b0;
        border-radius: 3px;
        padding: 7px 0;
        background-color: #f6f6f6;
        display: flex;
        justify-content: center;
    }

    #contact-info button,
    #contact-info a {
        text-align: left;
        white-space: normal;
    }

#contact-info .cta-icon {
    text-align: center;
}

.bio-text.collapsed {
    max-height: var(--bio-max-height);
    overflow: hidden;
    position: relative;
}

.bio-text .expand-overlay {
    position: absolute;
    background: linear-gradient(0deg, #fafafa 60%, transparent);
    bottom: 0;
    left: 0;
    right: 0;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    cursor: pointer;
    user-select: none;
}

.bio-text .expand-overlay span {
    margin-right: 10px;
}

.bio-text .expand-overlay i {
    font-size: 2rem;
}

@media (min-width: 768px) {
    .mt-5-xs {
        margin-top: unset;
    }
}

@media (min-width: 992px) {
    .mw-100 {
        min-width: unset;
    }
}

.viewer-count {
    background: #fff;
    border-radius: 6px;
    padding: 14px;
    margin-bottom: 10px;
    box-shadow: 0 2px 6px rgba(0,0,0,0.12);
}
.viewer-count-text {
   font-size: 1.5rem;
}
